
rm(list=ls())# wipes slate clean

library(dplyr)
library(ggplot2)
library(ggfortify)
library(coin)
library(MASS)
library(foreign)
library(Hmisc)
library(reshape2)
library(mgcv)
library(lme4)
library(lmerTest)
library(gridExtra)stderr <- function(x) sd(x) / sqrt(length(x))
library(plotrix)
library(psych)
library(FSA)
library(lattice)
library(lsr)
library(rcompanion)


setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets")
IC_WD_BOXPLOT<-read.csv("MST_IC_ASD_IMP_WD_BOXPLOT.CSV")
IC_WD_BOXPLOT$C_T <- as.numeric
IC_WD_BOXPLOT$logM=log(IC_WD_BOXPLOT[,19]+1)##Simplest log transformation


# Make two vectors subsetting for control and treatment

CT = IC_WD_BOXPLOT$logM[IC_WD_BOXPLOT$C_T=="C"]

TR = IC_WD_BOXPLOT$logM[IC_WD_BOXPLOT$C_T=="T"]

# Plot histogram for each subset with nice normal distribution line
plotNormalHistogram(CT)

plotNormalHistogram(TR)
# Next do density v C_T? one way t test

ttest1<- t.test(CT, TR, "greater")

sw1<-shapiro.test(CT)

sw2<-shapiro.test(TR)
# Now do independent 2-group Mann-Whitney U Test. Because histograms look non-normal
ut1<-wilcox.test(CT,TR, "greater") 
ut1

stderr <- function(x) sd(x) / sqrt(length(x))# Function for calculating standard error

# Calculate mean Striga density for each group using tapply

mean.SD<-tapply(IC_WD_BOXPLOT$logM, list(IC_WD_BOXPLOT$C_T),mean)

# Calculate standard deviation of Striga density for each group using tapply

standev.SD<-tapply(IC_WD_BOXPLOT$logM, list(IC_WD_BOXPLOT$C_T),sd)

# Calculate sample size for each group

n.SD<-tapply(IC_WD_BOXPLOT$logM, list(IC_WD_BOXPLOT$C_T), length)

standev.SD



summaryC_T<-IC_WD_BOXPLOT%>% group_by(C_T)%>%summarise( se = stderr(logM)) 





C_TBP<-boxplot(logM~C_T,  data=IC_WD_BOXPLOT,        xlab="Intercrop / No Intercrop",
        line = 2, ylab="Log Weed Densty",col="orange", border="black" ) 

x<-1:2  

arrows(x0=x, y0=mean.SD-standev.SD, x1=x, y1=mean.SD+standev.SD, code=3, angle=90, length = 0.1)

text(x, 0.2, paste("n=", n.SD))


