rm(list=ls())# wipes slate clean
library(dplyr)
library(ggplot2)
library(gapminder)
library(colorspace)

setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Boxplots")

MST_IC_ASD_IMP_WD_BOXPLOT<-read.csv("MST_IC_ASD_IMP_WD_BOXPLOT.CSV")

MST_IC_ASD_IMP_WD_BOXPLOT$logM=log(MST_IC_ASD_IMP_WD_BOXPLOT[,20]+1)##Simplest log transformation


y <- MST_IC_ASD_IMP_WD_BOXPLOT$logM

# Boxplot for Intercrop
App1<-ggplot(MST_IC_ASD_IMP_WD_BOXPLOT, aes(x= reorder(IC_SP,y , FUN = median), y, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Intercrop Effects on Parasitic Weed Density") +
        xlab("Intercrop") + ylab("Log Weed Density")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

App1

# Boxplot for Intercrop Family
Fig2a<-ggplot(MST_IC_ASD_IMP_WD_BOXPLOT, aes(x= reorder(IC_F,y , FUN = median), y, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Intercrop Family Effects on Parasitic Weed Density") +
        xlab("Intercrop Family") + ylab("Mean Log Weed Density")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

####YEILD BELOW

MST_IC_ASD_IMP_YD_BOXPLOT<-read.csv("MST_IC_ASD_IMP_YD_BOXPLOT.CSV")

y2 <- MST_IC_ASD_IMP_YD_BOXPLOT$Control_Mean






# Boxplot for Intercrop
App2<-ggplot(MST_IC_ASD_IMP_YD_BOXPLOT, aes(x= reorder(IC_SP,y2 , FUN = median), y2, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Intercrop Effects on Crop Yield") +
        xlab("Intercrop") + ylab("Mean Crop Yield (T/ha)")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

App2
        
# Boxplot for Intercrop Family
Fig2b<-ggplot(MST_IC_ASD_IMP_YD_BOXPLOT, aes(x= reorder(IC_F,y , FUN = median), y, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Intercrop Family Effects on Crop Yield") +
        xlab("Intercrop Family") + ylab("Mean Crop Yield (T/ha)")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

#Rotation

MST_RC_ASD_IMP_WD_BOXPLOT<-read.csv("MST_RC_ASD_IMP_WD_BOXPLOT.CSV")

y3 <- MST_RC_ASD_IMP_WD_BOXPLOT$Control_Mean

# Boxplot for Intercrop
App3<-ggplot(MST_RC_ASD_IMP_WD_BOXPLOT, aes(x= reorder(RC_1_SP,y3 , FUN = median), y3, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Rotation crop Effects on Parasitic Weed Density") +
        xlab("Rotation crop") + ylab("Log Weed Density")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

App3


####YEILD BELOW

MST_RC_ASD_IMP_YD_BOXPLOT<-read.csv("MST_RC_ASD_IMP_YD_BOXPLOT.CSV")

y4 <- MST_RC_ASD_IMP_YD_BOXPLOT$Control_Mean

# Boxplot for Intercrop
App4<-ggplot(MST_RC_ASD_IMP_YD_BOXPLOT, aes(x= reorder(RC_1_SP,y4 , FUN = median), y4, fill=C_T))+# This reorders accoding to FUN
        geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
        ggtitle("Rotation crop Effects on Parasitic Weed Density") +
        xlab("Rotation crop") + ylab("Mean crop yield (T/ha)")+
        theme(axis.text.x = element_text(angle = 50, hjust=.91))

App4