
rm(list=ls())# wipes slate clean

library(dplyr)
library(ggplot2)
library(ggfortify)
library(coin)
library(MASS)
library(foreign)
library(Hmisc)
library(reshape2)
library(mgcv)
library(lme4)
library(lmerTest)
library(gridExtra)
library(plotrix)
library(psych)
library(FSA)
library(lattice)
library(lsr)
library(rcompanion)

stderr <- function(x) sd(x) / sqrt(length(x))
### Install this When you start for Multiplots!!!#####
#
# ggplot objects can be passed in ..., or to plotlist (as a list of ggplot objects)
# - cols:   Number of columns in layout
# - layout: A matrix specifying the layout. If present, 'cols' is ignored.
#
# If the layout is something like matrix(c(1,2,3,3), nrow=2, byrow=TRUE),
# then plot 1 will go in the upper left, 2 will go in the upper right, and
# 3 will go all the way across the bottom.
#
multiplot <- function(..., plotlist=NULL, file, cols=1, layout=NULL) {
  library(grid)
  
  # Make a list from the ... arguments and plotlist
  plots <- c(list(...), plotlist)
  
  numPlots = length(plots)
  
  # If layout is NULL, then use 'cols' to determine layout
  if (is.null(layout)) {
    # Make the panel
    # ncol: Number of columns of plots
    # nrow: Number of rows needed, calculated from # of cols
    layout <- matrix(seq(1, cols * ceiling(numPlots/cols)),
                     ncol = cols, nrow = ceiling(numPlots/cols))
  }
  
  if (numPlots==1) {
    print(plots[[1]])
    
  } else {
    # Set up the page
    grid.newpage()
    pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))
    
    # Make each plot, in the correct location
    for (i in 1:numPlots) {
      # Get the i,j matrix positions of the regions that contain this subplot
      matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))
      
      print(plots[[i]], vp = viewport(layout.pos.row = matchidx$row,
                                      layout.pos.col = matchidx$col))
    }
  }
}

setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Effect Size by Crop System")

MST_IC_RC_WD<-read.csv("MST_IC_RC_WD.CSV")

fig1a<-ggplot(data = MST_IC_RC_WD, aes(x=IC_RC, y=HEDGES)) +
  geom_boxplot(fill=c('steelblue', 'red'))+
  
  labs( x = "Intercrop / Rotation Crop", y = "Weed Density ES (g)")

fig1a

##Yield

MST_IC_RC_YD<-read.csv("MST_IC_RC_YD.CSV")

fig1b<-ggplot(data = MST_IC_RC_YD, aes(x=IC_RC, y=HEDGES)) +
  geom_boxplot(fill=c('steelblue', 'red'))+
  labs( x = "Intercrop / Rotation Crop", y = "Yield ES (g)")

fig1b

multiplot(fig1a + labs( tag = "A"), fig1b+ labs( tag = "B"), cols = 2)
