rm(list=ls())# wipes slate clean
library(mgcv)
library(lme4)
library(lmerTest)
library(ggplot2)
library(dplyr)
library( geosphere )
library( stringr)
library(gapminder)
library(colorspace)

setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Boxplots")
MST_IC_ASD_IMP_WD_BOXPLOT<-read.csv("MST_IC_ASD_IMP_WD_BOXPLOT.CSV")


#Calculate a standard error
stderr <- function(x, ...) sd(x, na.rm = TRUE) / sqrt(length(is.na(x == FALSE)) )


### Install this When you start for Multiplots!!!#####
#
# ggplot objects can be passed in ..., or to plotlist (as a list of ggplot objects)
# - cols:   Number of columns in layout
# - layout: A matrix specifying the layout. If present, 'cols' is ignored.
#
# If the layout is something like matrix(c(1,2,3,3), nrow=2, byrow=TRUE),
# then plot 1 will go in the upper left, 2 will go in the upper right, and
# 3 will go all the way across the bottom.
#
multiplot <- function(..., plotlist=NULL, file, cols=1, layout=NULL) {
  library(grid)
  
  # Make a list from the ... arguments and plotlist
  plots <- c(list(...), plotlist)
  
  numPlots = length(plots)
  
  # If layout is NULL, then use 'cols' to determine layout
  if (is.null(layout)) {
    # Make the panel
    # ncol: Number of columns of plots
    # nrow: Number of rows needed, calculated from # of cols
    layout <- matrix(seq(1, cols * ceiling(numPlots/cols)),
                     ncol = cols, nrow = ceiling(numPlots/cols))
  }
  
  if (numPlots==1) {
    print(plots[[1]])
    
  } else {
    # Set up the page
    grid.newpage()
    pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))
    
    # Make each plot, in the correct location
    for (i in 1:numPlots) {
      # Get the i,j matrix positions of the regions that contain this subplot
      matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))
      
      print(plots[[i]], vp = viewport(layout.pos.row = matchidx$row,
                                      layout.pos.col = matchidx$col))
    }
  }
}

MST_IC_ASD_IMP_WD_BOXPLOT$logM=log(MST_IC_ASD_IMP_WD_BOXPLOT[,20]+1)##Simplest log transformation


y <- MST_IC_ASD_IMP_WD_BOXPLOT$logM

Fig2a<-ggplot(MST_IC_ASD_IMP_WD_BOXPLOT, aes(x= reorder(IC_F,y , FUN = median), y, fill=C_T))+# This reorders accoding to FUN
  geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
 
  xlab("Intercrop Family") + ylab("Log Weed Density")+
  theme(axis.text.x = element_text(angle = 50, hjust=.91,size = 12.5),
          axis.title.x=element_text(size = 12.5),
        axis.title.y=element_text(size = 12.5))

Fig2a

MST_IC_ASD_IMP_YD_BOXPLOT<-read.csv("MST_IC_ASD_IMP_YD_BOXPLOT.CSV")

y2 <- MST_IC_ASD_IMP_YD_BOXPLOT$Control_Mean

Fig2b<-ggplot(MST_IC_ASD_IMP_YD_BOXPLOT, aes(x= reorder(IC_F,y2 , FUN = median), y2, fill=C_T))+# This reorders accoding to FUN
  geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
  
  xlab("Intercrop Family") + ylab("Mean Crop Yield (T/ha)")+
  theme(axis.text.x = element_text(angle = 50, hjust=.91,size = 12.5),
          axis.title.x=element_text(size = 12.5),
        axis.title.y=element_text(size = 12.5))

Fig2b
MST_RC_ASD_IMP_WD_BOXPLOT_COMB<-read.csv("MST_RC_ASD_IMP_WD_BOXPLOT_COMB.CSV")

MST_RC_ASD_IMP_WD_BOXPLOT_COMB$logM=log(MST_RC_ASD_IMP_WD_BOXPLOT_COMB[,26]+1)##Simplest log transformation


y3 <- MST_RC_ASD_IMP_WD_BOXPLOT_COMB$logM

# Boxplot for Rotation Crop Family
Fig2c<-ggplot(MST_RC_ASD_IMP_WD_BOXPLOT_COMB, aes(x= reorder(R_F,y3 , FUN = median), y3, fill=C_T))+# This reorders accoding to FUN
  geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
  
  xlab("Rotation Crop Family") + ylab("Log Weed Density")+
  theme(axis.text.x = element_text(angle = 50, hjust=.91,size = 12.5),
          axis.title.x=element_text(size = 12.5),
        axis.title.y=element_text(size = 12.5))

Fig2c
MST_RC_ASD_IMP_YD_BOXPLOT<-read.csv("MST_RC_ASD_IMP_YD_BOXPLOT.CSV")

y4 <- MST_RC_ASD_IMP_YD_BOXPLOT$Control_Mean

Fig2d<-ggplot(MST_RC_ASD_IMP_YD_BOXPLOT, aes(x= reorder(R_F,y4 , FUN = median), y4, fill=C_T))+# This reorders accoding to FUN
  geom_boxplot()+ scale_fill_discrete(name = "Control / Treament", )+# This can change legend name
  
  xlab("Rotation Crop Family") + ylab("Mean Crop Yield (T/ha)")+
  theme(axis.text.x = element_text(angle = 50, hjust=.91,size = 12.5),
          axis.title.x=element_text(size = 12.5),
        axis.title.y=element_text(size = 12.5))

Fig2d

multiplot(Fig2a + labs( tag = "A"), Fig2b + labs( tag = "B"), Fig2c + labs( tag = "C"), Fig2d + labs( tag = "D"), cols = 2)

