rm(list=ls())
library(lme4)
library(lmerTest)

setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets")

MST_RC_ASD_IMP_YD<-read.csv("MST_RC_ASD_IMP_YD.CSV")
 
 mixed.mod5 <- lmer(HEDGES ~  W_SP + HC_SP + RC_1_SP +  
                                            (1|Study_ID) ,                                                 # this is the random effects (in this case grouping multiple effect sizes in each study together)
                                         data=MST_RC_ASD_IMP_YD,
                                         weights = 1/VAR_G,                                          # this is the weighting variable required for a meta-analysis (var.g = the individual effect size variances)
                                       na.action = "na.omit")

 anova(mixed.mod5)
 summary(mixed.mod5)

mixed.mod9 <- lmer(HEDGES ~  # this is the individual effect size as the response variable
                     HC_V + RC_1_V  +   # this is the fixed effects - so you could add the grouping variable here and it will tell you whether there is a difference in 
                    # effect size between different levels of the variable
                    (1|Study_ID) ,                                                 # this is the random effects (in this case grouping multiple effect sizes in each study together)
                  data=MST_RC_ASD_IMP_YD,
                  weights = 1/VAR_G,                                          # this is the weighting variable required for a meta-analysis (var.g = the individual effect size variances)
                  na.action = "na.omit")
anova(mixed.mod9)
summary(mixed.mod9)

mixed.mod9 <- lmer(HEDGES ~  DIV +  
                     (1|Study_ID) ,                                                 # this is the random effects (in this case grouping multiple effect sizes in each study together)
                   data=MST_RC_ASD_IMP_YD,
                   weights = 1/VAR_G,                                          # this is the weighting variable required for a meta-analysis (var.g = the individual effect size variances)
                   na.action = "na.omit")

anova(mixed.mod9)
summary(mixed.mod9)
