rm(list=ls())# wipes slate clean
library(dplyr)
library(ggplot2)
library(coin)
library(MASS)
library(foreign)
library(Hmisc)
library(reshape2)
library(mgcv)
library(lme4)
library(lmerTest)
library(gridExtra)
library(meta)
library(esc)
library(effsize)
library( geosphere )
library( stringr)
library(plotrix)

#Calculate a standard error
stderr <- function(x, ...) sd(x, na.rm = TRUE) / sqrt(length(is.na(x == FALSE)) )


setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets")

# Read in the data
MST_IC_ASD_IMP_WD<-read.csv("MST_IC_ASD_IMP_WD.CSV")

#mixed.mod1 <- lmer(HEDGES ~  # this is the individual effect size as the response variable
                     #IC_SP+   # this is the fixed effects - so you could add the grouping variable here and it will tell you whether there is a difference in 
                     ## effect size between different levels of the variable
                     #(1|Study_ID) ,                                                 # this is the random effects (in this case grouping multiple effect sizes in each study together)
                   #data=MST_IC_ASD_IMP_WD,
                  # weights = 1/VAR_G,                                          # this is the weighting variable required for a meta-analysis (var.g = the individual effect size variances)
                   #na.action = "na.omit")
#anova(mixed.mod1)
#summary(mixed.mod1)

#coeffs <- data.frame( summary(mixed.mod1)$coefficients )

#coeffs$names <- str_remove( rownames(coeffs), "MST_RC_ASD_IMP_WD" )
MST_IC_ASD_IMP_WD <- MST_IC_ASD_IMP_WD %>% 
  group_by(IC_SP) %>% 
  summarise(mean = mean(HEDGES),
            stde = stderr(HEDGES))

Figure1 <- ggplot(MST_IC_ASD_IMP_WD, aes(x = reorder( IC_SP, mean), y = mean) ) +	
  geom_point( size = 1) +
  geom_errorbar(aes( ymin = mean -stde, ymax = mean + stde ), width = 0.5, size = 0.25 ) +
  theme_bw() + 
  theme( panel.border = element_blank(), 
         panel.grid.major = element_blank(),
         panel.grid.minor = element_blank(), 
         legend.position="none",
         axis.line = element_line(colour = 'black', size = 0.25),
         axis.ticks = element_line(colour = "black", size = 0.25),
         axis.text.x = element_text(angle = 50, vjust = .8, hjust=.35),
         axis.text.y = element_text(size = 8),
         axis.title.x=element_text(size = 14),
         axis.title.y=element_text(size = 14) ) +
  geom_hline(yintercept = 0, linetype  = "dashed") +
  labs(x = "Intercrop") + labs( y = "Effect Size (g)", las=2)
  

  Figure1
