##### set up pred matrix
# make separate ones for treatment data and one for control data
rm(list=ls())
library(mice)
setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation")

MST_RC_ASD_IMP<-read.csv("MST_RC_ASD_IMP.CSV")

MST_RC_ASD_IMP$Treat_Mean <- as.numeric(MST_RC_ASD_IMP$Treat_Mean)

predMatrix_trt <- make.predictorMatrix(MST_RC_ASD_IMP) # update with your dataframe name


### define prediction matrix:

## a) make "0" for any variable in the dataframe which you don't want to impute (i.e. you only want to impute TREATMENT SD or SE)
predMatrix_trt["Study_ID",] <- 0 # study identifier
predMatrix_trt["Row_ID",] <- 0 # row identifier
predMatrix_trt["Control_Mean",] <- 0 # control mean
predMatrix_trt["Control_SD",] <- 0 # other variable in dataframe
predMatrix_trt["Control_SS",] <- 0  # control sample size
predMatrix_trt["Treat_SS",] <- 0 # treatment sample size
predMatrix_trt["Treat_Mean",] <- 0 # treatment mean


## b) make "0" for any variable you don't want to use to impute missing var (i.e. you only want to use TREATMENT MEAN and SS)
predMatrix_trt[,"Study_ID"] <- 0 # study identifier
predMatrix_trt[,"Row_ID"] <- 0 # row identifier
predMatrix_trt[,"Control_Mean"] <- 0 # control mean
predMatrix_trt[,"Control_SD"]<- 0
predMatrix_trt[,"Control_SS"] <- 0 # control sample size
predMatrix_trt[,"Treat_SD"] <- 0 # 


## define "where" matrix 
## so that only NAs in the standard deviation variable are imputed
## I guess not required if your dataset only has NAs for missing data you want to impute
where2.1 <- make.where(MST_RC_ASD_IMP)
where2.1[,"Row_ID"] <- FALSE
where2.1[,"Study_ID"] <- FALSE
where2.1[,"Control_Mean"] <- FALSE
where2.1[,"Control_SS"] <- FALSE 
where2.1[,"Treat_Mean"] <- FALSE
where2.1[,"Treat_SS"] <- FALSE 
where2.1[,"Control_SD"] <- FALSE


### run mice to impute treatment SD/SE

# linear regression: predictions based on linear models
mice_lin_reg <- mice(MST_RC_ASD_IMP, 
                     print=FALSE, 
                     m=10, # number of imputations you want to run
                     predictorMatrix=predMatrix_trt, # pred matrix
                    where = where2.1, # where matrix
                    method="pmm", # choose method for imputation - see mice code for details of other methods
                    seed=1234) # set seed for reproducibiltiy
# to get each imputed dataset separately I then used "mice::complete" and "action = 1L" for the first imputed dataset, "action = 2L" for the second...
imputed_df_1 <- mice::complete(mice_lin_reg, action = 1L)
imputed_df_2 <- mice::complete(mice_lin_reg, action = 2L)
imputed_df_3 <- mice::complete(mice_lin_reg, action = 3L)
imputed_df_4 <- mice::complete(mice_lin_reg, action = 4L)
imputed_df_5 <- mice::complete(mice_lin_reg, action = 5L)
imputed_df_6 <- mice::complete(mice_lin_reg, action = 6L)
imputed_df_7 <- mice::complete(mice_lin_reg, action = 7L)
imputed_df_8 <- mice::complete(mice_lin_reg, action = 8L)
imputed_df_9 <- mice::complete(mice_lin_reg, action = 9L)
imputed_df_10 <- mice::complete(mice_lin_reg, action = 10L)

 

write.csv(imputed_df_1,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_1.csv", row.names = FALSE)
write.csv(imputed_df_2,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_2.csv", row.names = FALSE)
write.csv(imputed_df_3,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_3.csv", row.names = FALSE)
write.csv(imputed_df_4,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_4.csv", row.names = FALSE)
write.csv(imputed_df_5,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_5.csv", row.names = FALSE)
write.csv(imputed_df_6,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_6.csv", row.names = FALSE)
write.csv(imputed_df_7,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_7.csv", row.names = FALSE)
write.csv(imputed_df_8,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_8.csv", row.names = FALSE)
write.csv(imputed_df_9,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_9.csv", row.names = FALSE)
write.csv(imputed_df_10,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_10.csv", row.names = FALSE)


##### set up pred matrix
# make separate ones for treatment data and one for control data
rm(list=ls())
library(mice)
setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation")

MST_RC_ASD_IMP<-read.csv("MST_RC_ASD_IMP.CSV")

MST_RC_ASD_IMP$Control_Mean <- as.numeric(MST_RC_ASD_IMP$Control_Mean)

predMatrix_trt <- make.predictorMatrix(MST_RC_ASD_IMP) # update with your dataframe name


### define prediction matrix:

## a) make "0" for any variable in the dataframe which you don't want to impute (i.e. you only want to impute TREATMENT SD or SE)
predMatrix_trt["Study_ID",] <- 0 # study identifier
predMatrix_trt["Row_ID",] <- 0 # row identifier
predMatrix_trt["Control_Mean",] <- 0 # control mean
predMatrix_trt["Treat_SD",] <- 0 # other variable in dataframe
predMatrix_trt["Control_SS",] <- 0  # control sample size
predMatrix_trt["Treat_SS",] <- 0 # treatment sample size
predMatrix_trt["Treat_Mean",] <- 0 # treatment mean


## b) make "0" for any variable you don't want to use to impute missing var (i.e. you only want to use TREATMENT MEAN and SS)
predMatrix_trt[,"Study_ID"] <- 0 # study identifier
predMatrix_trt[,"Row_ID"] <- 0 # row identifier
predMatrix_trt[,"Treat_Mean"] <- 0 # control mean
predMatrix_trt[,"Control_SD"]<- 0
predMatrix_trt[,"Treat_SS"] <- 0 # control sample size
predMatrix_trt[,"Treat_SD"] <- 0 # 


## define "where" matrix 
## so that only NAs in the standard deviation variable are imputed
## I guess not required if your dataset only has NAs for missing data you want to impute
where2.1 <- make.where(MST_RC_ASD_IMP)
where2.1[,"Row_ID"] <- FALSE
where2.1[,"Study_ID"] <- FALSE
where2.1[,"Control_Mean"] <- FALSE
where2.1[,"Control_SS"] <- FALSE 
where2.1[,"Treat_Mean"] <- FALSE
where2.1[,"Treat_SS"] <- FALSE 



### run mice to impute treatment SD/SE

# linear regression: predictions based on linear models
mice_lin_reg <- mice(MST_RC_ASD_IMP, 
                     print=FALSE, 
                     m=10, # number of imputations you want to run
                     predictorMatrix=predMatrix_trt, # pred matrix
                    where = where2.1, # where matrix
                    method="pmm", # choose method for imputation - see mice code for details of other methods
                    seed=1234) # set seed for reproducibiltiy
# to get each imputed dataset separately I then used "mice::complete" and "action = 1L" for the first imputed dataset, "action = 2L" for the second...
imputed_df_1 <- mice::complete(mice_lin_reg, action = 1L)
imputed_df_2 <- mice::complete(mice_lin_reg, action = 2L)
imputed_df_3 <- mice::complete(mice_lin_reg, action = 3L)
imputed_df_4 <- mice::complete(mice_lin_reg, action = 4L)
imputed_df_5 <- mice::complete(mice_lin_reg, action = 5L)
imputed_df_6 <- mice::complete(mice_lin_reg, action = 6L)
imputed_df_7 <- mice::complete(mice_lin_reg, action = 7L)
imputed_df_8 <- mice::complete(mice_lin_reg, action = 8L)
imputed_df_9 <- mice::complete(mice_lin_reg, action = 9L)
imputed_df_10 <- mice::complete(mice_lin_reg, action = 10L)

 

write.csv(imputed_df_1,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_1.csv", row.names = FALSE)
write.csv(imputed_df_2,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_2.csv", row.names = FALSE)
write.csv(imputed_df_3,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_3.csv", row.names = FALSE)
write.csv(imputed_df_4,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_4.csv", row.names = FALSE)
write.csv(imputed_df_5,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_5.csv", row.names = FALSE)
write.csv(imputed_df_6,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_6.csv", row.names = FALSE)
write.csv(imputed_df_7,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_7.csv", row.names = FALSE)
write.csv(imputed_df_8,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_8.csv", row.names = FALSE)
write.csv(imputed_df_9,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_9.csv", row.names = FALSE)
write.csv(imputed_df_10,"C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets/Imputation/Imputed Rotation Crop Control_SD Files/imputed_df_10.csv", row.names = FALSE)



### repeat code to impute control SD/SE

### check imputed data is sensible

### then can then use these dataframes for your analysis and average the results from each of the 10 imputed datasets
